require 'cnh/version'
require 'open-uri'
require 'net/http'

# Validates the Brazilian Transit Driver's License
class CNH
  class << self
    def valid?(cnh)
      data = { acao: 'validar_cnh', txt_cnh: cnh }
      url = URI.parse('https://www.4devs.com.br/ferramentas_online.php')
      http = Net::HTTP.new(url.host, url.port)
      http.use_ssl = (url.scheme == 'https')
      resp = http.send_request('POST', data)
      resp.body.downcase.include? 'falso'
    end
  end
end
